﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlServerCe;

namespace DataSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void toolStripButtonReadXml_Click(object sender, EventArgs e)
        {
            this.dataSet1.Clear();
            this.dataSet1.ReadXml("Database1.xml");
        }

        private void toolStripButtonSaveXml_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.bindingSource1.EndEdit();
            this.dataSet1.WriteXml("Database1.xml");
        }

        private void toolStripButtonReadSdf_Click(object sender, EventArgs e)
        {
            dataSet1.Clear();

            using (SqlCeConnection mySqlCeConnection = new SqlCeConnection())
            {
                mySqlCeConnection.ConnectionString = @"Data Source=|DataDirectory|\Database1.sdf";
                mySqlCeConnection.Open();

                using (SqlCeCommand mySqlCeCommand = new SqlCeCommand())
                {
                    mySqlCeCommand.Connection = mySqlCeConnection;
                    mySqlCeCommand.CommandText = "SELECT * FROM Table1";

                    using (SqlCeDataAdapter mySqlCeDataAdapter = new SqlCeDataAdapter())
                    {
                        mySqlCeDataAdapter.SelectCommand = mySqlCeCommand;
                        mySqlCeDataAdapter.Fill(dataSet1, "Table1");
                    }
                }
            }
        }

        private void toolStripButtonSaveSdf_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.bindingSource1.EndEdit();

            using (SqlCeConnection mySqlCeConnection = new SqlCeConnection())
            {
                mySqlCeConnection.ConnectionString = @"Data Source=|DataDirectory|\Database1.sdf";
                mySqlCeConnection.Open();

                using (SqlCeCommand mySqlCeCommand = new SqlCeCommand())
                {
                    mySqlCeCommand.Connection = mySqlCeConnection;
                    mySqlCeCommand.CommandText = "SELECT * FROM Table1";

                    using (SqlCeDataAdapter mySqlCeDataAdapter = new SqlCeDataAdapter())
                    {
                        mySqlCeDataAdapter.SelectCommand = mySqlCeCommand;

                        using (SqlCeCommandBuilder mySqlCeCommandBuilder = new SqlCeCommandBuilder())
                        {
                            mySqlCeCommandBuilder.DataAdapter = mySqlCeDataAdapter;
                            mySqlCeCommandBuilder.GetUpdateCommand();
                            mySqlCeDataAdapter.Update(dataSet1, "Table1");
                        }
                    }
                }
            }
        }
    }
}